classification
Title: mention shell-like parts of the std lib in the subprocess docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: chris.jerdonek, cvrebert, docs@python, eric.araujo, ezio.melotti, python-dev
Priority: normal Keywords: patch

Created on 2012-08-27 07:24 by cvrebert, last changed 2012-09-15 05:36 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
subprocess.rst.patch cvrebert, 2012-08-27 07:24 add x-refs in the shell=True paragraph review
subprocess.rst.patch cvrebert, 2012-08-28 08:59 mention shutil & os.walk; comply w/ retro line length limit review
Messages (7)
msg169188 - (view) Author: Chris Rebert (cvrebert) * Date: 2012-08-27 07:24
To further dissuade people from using subprocess.Popen's shell=True option unnecessarily, this patch points out that some common shell features are also available directly in Python via certain modules & functions.
msg169234 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-08-27 22:42
Thanks, LGTM.  Maybe there’s a section about walking files in the os module doc that you could also link to?  Also shutil.
msg169249 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-08-28 04:09
This is a nit, but can you adhere to an 80-character line length?  Much (but not all) of the documentation does.
msg169256 - (view) Author: Chris Rebert (cvrebert) * Date: 2012-08-28 08:59
Revised patch in response to comments.
msg170507 - (view) Author: Chris Rebert (cvrebert) * Date: 2012-09-15 05:20
Ping. Any further comments?
msg170508 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-09-15 05:35
New changeset 820032281f49 by Ezio Melotti in branch '2.7':
#15789: mention shell-like parts of the stdlib in the subprocess docs.  Patch by Chris Rebert.
http://hg.python.org/cpython/rev/820032281f49

New changeset 9794f69c1d09 by Ezio Melotti in branch '3.2':
#15789: mention shell-like parts of the stdlib in the subprocess docs.  Patch by Chris Rebert.
http://hg.python.org/cpython/rev/9794f69c1d09

New changeset 09011896374d by Ezio Melotti in branch 'default':
#15789: merge with 3.2.
http://hg.python.org/cpython/rev/09011896374d
msg170509 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-15 05:36
Pong, thanks for the patch!
History
Date User Action Args
2012-09-15 05:36:02ezio.melottisetstatus: open -> closed

type: enhancement
assignee: docs@python -> ezio.melotti

nosy: + ezio.melotti
messages: + msg170509
resolution: fixed
stage: resolved
2012-09-15 05:35:01python-devsetnosy: + python-dev
messages: + msg170508
2012-09-15 05:20:02cvrebertsetmessages: + msg170507
2012-08-28 08:59:52cvrebertsetfiles: + subprocess.rst.patch

messages: + msg169256
2012-08-28 04:09:44chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg169249
2012-08-27 22:42:19eric.araujosetnosy: + eric.araujo

messages: + msg169234
versions: + Python 3.2, - Python 3.4
2012-08-27 07:24:02cvrebertcreate